2003-09-23  Jeffrey Altman  <jaltman@mit.edu>

	* krb.h: Modify the declaration of the CREDENTIALS structure to
	support the additional address field used on Windows.

2003-03-06  Alexandra Ellwood  <lxs@mit.edu>
    * des.h, krb.h: Removed deprecated KfM functions.  They will be 
    exported but not in the headers to discourage new callers. Removed 
    enumsalwaysint because there are no typed enums in this header.
    
    * des.h: Made afs_string_to_key public on all platforms. (OpenAFS 
    folk think this is okay.)
    
    * krb.h, prot.h: Made KRB_TICKET_GRANTING_TICKET public and 
    removed non-public TICKET_GRANTING_TICKET because this macro is 
    used in lots of places by KfM, including some clients. Made 
    krb__get_srvtabname non-private because it is used by KEYFILE.
    
    * kadm.h: moved definition of MAXHOSTNAMELEN below the inclusion
    of other headers so that if it gets defined by those other 
    headers or headers they include, we don't get a redefinition
    error (this happens on Mac OS X). 

2003-02-12  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (krb_err.h, kadm_err.h): Rebuild by going to
	lib/krb4 and building "includes".
	(clean-unix): Don't need to delete copies of .et files any more.

2003-02-10  Tom Yu  <tlyu@mit.edu>

	* krb.h: Add KRB_PRIVATE conditionals around lots of stuff that
	doesn't belong in krb.h, and historically hasn't been in krb.h on
	KfM.  For now, everything except MacOS will define KRB_PRIVATE to
	1.

2003-02-07  Tom Yu  <tlyu@mit.edu>

	* krb.h: Declare krb_err_txt differently on Mac.

2003-01-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (all-unix, install): Build and install kadm_err.h.
	(install-headers-unix): Install both generated header files.

2003-01-14  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (krb_err.et, kadm_err.et): New intermediate targets;
	copy files from lib/krb4.
	(krb_err.h, kadm_err.h): Delete actions, use patterns in pre.in.
	(clean-unix): Delete these generated files.

2002-12-12  Tom Yu  <tlyu@mit.edu>

	* krb.h: Change _WINDOWS->_WIN32.  Add symbols for
	RealmsConfig-glue.c.  Remove explicit errno declaration.  Fix some
	prototypes of functions in RealmsConfig-glue.c to take const char*
	for realm.  Update prorotypes of functions that may take a ticket
	file name to take const char*.  Collect prototypes of FSp-glue.c
	functions together.

2002-12-04  Tom Yu  <tlyu@mit.edu>

	* des.h: Move explicit definition of _WINDOWS to precede
	conditionalized inclusion of win-mac.h.

	* kadm.h: Include port-sockets.h, not netinet/in.h, for Windows
	portability.

2002-12-02  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (kadm_err.h): Build here.

2002-11-26  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (KRB4_HEADERS): Don't install kadm.h anymore.

	* des.h: Put "#" characters in first column.  Do the
	KRBINT_BEGIN_DECLS hack to make emacs happy.  Shuffle limits.h
	inclusion to be outside C++ and Mac alignment magic.

	* kadm.h: Remove some spurious prototypes.  Rename a bunch of
	internal kadm_stream stuff to avoid stomping on namespace.  Add
	prototypes for some client-side kadm stuff.

	* krb.h: Do Mac CFM magic.  Do C++ mangling protection.  Do Mac
	alignment magic.  Move inclusions outside of C++ mangling
	protection and Mac magic.  Add KRB5_CALLCONV to a few functions
	that KfM's krb.h exports.  Merge the *_in_tkt_*_creds,
	mk_req_creds, and rd_req_int functions from KfM.  Add prototypes
	for some KfM-specific things yet to be merged.

	* prot.h: Don't include krb_conf.h anymore.  Twiddle the int
	encoding/decoding macros a little.

	* des_conf.h:
	* highc.h:
	* krb_conf.h:
	* passwd_server.h:
	* principal.h: Remove, since they're obsolete.

2002-10-07  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in: Support install-headers

2002-09-26  Tom Yu  <tlyu@mit.edu>

	* des.h: Some initial work for KfM integration.  Clean up
	DES_INT32 selection.  Set up for inclusion by
	lib/crypto/des/des_int.h, which will define a special macro to
	prevent the krb4-specific stuff from being declared.

	* krb.h: Initial work for KfM integration.  Fix up KRB4_32, and
	add KRB_INT32, KRB_UINT32.  Change all error code macros to be
	offsets from krb_err.et symbols.

2002-09-18  Ken Raeburn  <raeburn@mit.edu>

	* krb.h: Add extern "C" markers in case a C++ compiler is used.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-07-12  Ken Raeburn  <raeburn@mit.edu>

	* krb.h: Don't include port-sockets.h.  Don't check for
	NEED_TIME_H, just don't include time.h and sys/time.h on
	non-Windows platforms.

2002-04-10  Danilo Almeida  <dalmeida@mit.edu>

	* krb.h: Do not include winsock.h for Win32, since we already use
	port-sockets.h.  This avoids winsock.h vs winsock2.h issues.

2002-03-11  Ken Raeburn  <raeburn@mit.edu>

	* lsb_addr_cmp.h (krb4int_address_less): Declare.

2001-10-05  Ken Raeburn  <raeburn@mit.edu>

	* des.h (KRB5_EXPORTVAR): Don't define.

2001-10-03  Ken Raeburn  <raeburn@mit.edu>

	* des.h, krb.h: Don't use or define KRB5_DLLIMP, GSS_DLLIMP.  Drop
	NEAR, FAR support.

2001-06-27  Ezra Peisach  <epeisach@mit.edu>

	* klog.h: Flush out prototype for klog().

2001-06-26  Ezra Peisach  <epeisach@mit.edu>

	* prot.h: Flush out prototypes for create_auth_reply(), pkt_cipher().

2001-06-22  Ezra Peisach  <epeisach@mit.edu>

	* krb.h: Don't use "options" and "user" as argument names.

2001-06-20  Ezra Peisach  <epeisach@mit.edu>

	* krb.h: Add prototype for krb__get_srvtabname() which is invoked
	in place of KEYFILE.
	Add prototypes for krb_kntoln(), k_isinst(), k_isname(), k_isrealm().

2001-06-11  Ezra Peisach  <epeisach@mit.edu>

	* krb.h: Add prototype for krb_sendauth().

2001-06-08  Ezra Peisach  <epeisach@mit.edu>

	* krb.h: Add "internal" prototypes cr_err_reply(), create_ciph(),
	krb_create_ticket(), krb5_cr_tkt_krb5(), krb_set_key_krb5().

2001-05-31  Ezra Peisach  <epeisach@mit.edu>

	* des.h: Do not use "encrypt" as an argument.

2001-04-26  Ken Raeburn  <raeburn@mit.edu>

	* krb.h: Make struct sockaddr_in declaration unconditional.

2001-04-10  Ken Raeburn  <raeburn@mit.edu>

	* des.h (des_pcbc_encrypt, des_quad_cksum, des_cbc_cksum,
	des_cbc_encrypt, des_ecb_encrypt): Use const for some input args.

	* krb.h (krb_get_admhst, krb_get_krbhst, krb_get_lrealm): Don't
	use "index" as argument name.

	* kparse.h: Don't use PROTOTYPE macro.

	* des.h (des_cblock, des_key_schedule): Separate definitions into
	a block with a comment indicating lib/crypto/des/des_int.h needs
	to be kept in sync.  Use macro KRB5INT_DES_TYPES_DEFINED to avoid
	duplication.

2001-04-09  Ken Raeburn  <raeburn@mit.edu>

	* des.h: Include stdio.h.
	(PROTOTYPE): Delete macro.  Make all function prototypes
	unconditional.
	(des_ecb_encrypt, des_fixup_key_parity, des_check_key_parity,
	des_new_random_key, des_init_random_number_generator,
	des_random_key, des_is_weak_key, des_cblock_print_file): Add
	prototypes.
	(des_cbc_cksum, des_cbc_encrypt, des_read_password)
	[KRB5_GENERAL__]: Add prototypes.

	* krb.h: Make all function prototypes unconditional, don't use
	PROTOTYPE macro.

2001-01-29  Tom Yu  <tlyu@mit.edu>

	* krb.h: Remove KRB_NEVERDATE.

2001-01-25  Tom Yu  <tlyu@mit.edu>

	* prot.h: Add new prototypes for prot_client.c stuff.  Also, add
	new prototype for decode_header().

2001-01-24  Tom Yu  <tlyu@mit.edu>

	* prot.h: Add prototype for decode_kdc_request() and some rough
	starting points for KRB4PROT_* error codes.

2001-01-23  Tom Yu  <tlyu@mit.edu>

	* krb.h: Remove internal prototypes and macros.

	* prot.h: Put internal prototypes and macros here.  Make
	KRB4_PUT{16,32} into little-endian and big-endian versions
	thereof, with the original names getting an extra arg to determine
	endianness of encoding.

2000-11-08  Tom Yu  <tlyu@mit.edu>

	* des.h: Change to make KRB4_32 an int if it's at least 32 bits
	wide, else a long.  This is a change from previously where it was
	a long except on the alpha.  We may want to rethink this if there
	are binary compat issues that result.  Also, define DES_INT32 as
	KRB4_INT32.

	* krb.h: Add new macros KRB4_PUT32, KRB4_PUT16 which
	unconditionally encode integers by bytes as big-endian.  Add new
	macros KRB4_GET32BE, KRB4_GET32LE, KRB4_GET32, KRB4_GET16BE,
	KRB4_GET16LE, KRB4_GET16 to retrieve integers by bytes.  Add
	prototype for krb_strnlen.

2000-10-23  Tom Yu  <tlyu@mit.edu>

	* krb.h: Modify krb_{mk,rd}_{priv,safe} prototypes to align with
	CNS, mostly by making them take C_Block * arguments.

2000-10-17  Ezra Peisach  <epeisach@mit.edu>

	* kparse.h: Add prototypes for fGetChar(), fGetParameterSet(),
	ParmCompare(), FreeParameterSet(), fGetKeywordValue(),
	fGetToken(), fGetLiteral(), fUngetChar().

2000-08-31  Tom Yu  <tlyu@mit.edu>

	* krb.h: Add prototypes for krb_life_to_time() and
	krb_time_to_life(), as well as the KRB_NEVERDATE constant.

2000-08-02  Ezra Peisach  <epeisach@mit.edu>

	* krb.h: Add prototypes for tf_init(), tf_get_pname(),
	tf_get_pinst(), tf_get_cred() and tf_close() which are all used by
	clients.

2000-07-21  Ezra Peisach  <epeisach@mit.edu>

	* krb.h: For get_pw_tkt() and unix_time_gmt_unixsec() add required
	KRB5_DLLIMP and KRB4_CALLCONV declarations.

2000-07-19  Danilo Almeida  <dalmeida@mit.edu>

	* krb.h: Add krb_in_tkt() prototype.

2000-07-03  Ezra Peisach  <epeisach@mit.edu>

	* krb.h: Add prototypes for get_pw_tkt() and unix_time_gmt_unixsec().

2000-06-02  Ken Raeburn  <raeburn@mit.edu>

	* krb.h (krb4_swab16): Mask upper byte of input after shifting, in
	case the input value is a signed short.

2000-05-18  Ken Raeburn  <raeburn@mit.edu>

	* krb.h (krb4_swab32): Mask high byte of input value after
	shifting, to avoid "time out of bounds" error when byte orders are
	different and low byte of timestamp has its high bit set and the
	timestamp is stored as a signed value.

	* krb.h (krb_get_err_text): Don't use "errno" as an argument
	name.

Mon Mar 15 15:58:34 1999  Tom Yu  <tlyu@mit.edu>

	* des.h: Fix GSS_DLLIMP.

1998-12-05  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* krb.h: Add prototypes for krb_set_key() and decomp_ticket().

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)
		Add a MY_SUBDIRS macro set to '.' to indicate that there
		are no subdirectories to be processed by the Makefile.

	* configure.in: Removed and tests moved to parent directory.

	* krb.h: Add a declaration for the global variable
		krb5__krb4_context, which is used by the krb4 routines
		that need to call krb5 library routines.

Thu Sep 17 18:23:26 1998  Tom Yu  <tlyu@mit.edu>

	* krb_db.h: ifdef out the declarations for kerb_get_* and
	kerb_db_* to avoid problems with krb4 compat code in the kdc,
	which declares some of these static.

Wed Feb 18 15:51:41 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.  Fix up usage of $(C) for new
	conventions.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Tue Nov 18 23:37:54 1997  Tom Yu  <tlyu@mit.edu>

	* des.h: Clean up prototypes so they're sane and look a little
 	nicer.  The ivec parameter to pcbc_encrypt is now a C_Block FAR *,
	while the paremeters to quad_cksum have been re-ordered to match
	reality.

Mon Oct 27 01:04:24 1997  Tom Yu  <tlyu@mit.edu>

	* des.h: Replace KRB_INT32 with DES_INT32 to avoid temptation to
	misuse.

Mon Oct 20 14:09:45 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* krb.h: If we are using prototypes, add a forward declaration for
		struct sockaddr_in.

Tue Oct 14 15:39:28 1997  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* des.h: Define KRB_INT32 for the purposes of dealing with the key
 	schedule.  Also, define the key schedule more sanely.  See related
 	comments in lib/crypto/des.

Sat Feb 22 00:49:37 1997  Sam Hartman  <hartmans@tertius.mit.edu>

	* krb.h: Do not depend on unix being defined on Unix systems;
        treat as the default case except when _WINDOWS defined

Thu Feb 20 17:38:23 1997  Richard Basch  <basch@lehman.com>

	* configure.in: awk is required by the Makefile
	* Makefile.in: Re-arranged build/install rules because
		krb_err.h is a generated file.

Mon Feb 17 13:59:41 1997  Richard Basch  <basch@lehman.com>

	* des.h: Added various function prototypes
	* krb.h: Moved various macros from krb.h to des.h so
		prototypes could be added to des.h

Sun Feb 16 18:43:24 1997  Richard Basch  <basch@lehman.com>

	* krb.h:
		Removed INTERFACE declaration
		Added prototypes for exported V4 functions

Thu Feb  6 00:22:22 1997  Richard Basch  <basch@lehman.com>

	* krb.h: Make sure KRB5_EXPORTVAR is defined

Fri Nov 22 11:34:46 1996  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in:  Install krb_err.h [218]

Thu Oct 31 17:27:08 1996  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (install): Start installing headers again [36]

Sun Jul  7 18:18:45 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* krb4-proto.h: Change prototype for decomp_ticket to match source
		(addr is not unsigned long *)

Tue Dec 19 17:10:06 1995  Theodore Y. Ts'o  <tytso@dcl>

	* kparse.h (LineNbr): Remove declaration of LineNbr; no longer
		exported by kparse.c

Sun Nov 12 05:18:05 1995  Mark W. Eichin  <eichin@cygnus.com>

	* krb.h (KEYFILE): change to call krb__get_srvtabname with a
	default of the old hardcoded value "/etc/srvtab".

Wed Jun 28 00:01:52 1995  Mark Eichin  <eichin@cygnus.com>

	* krb4-proto.h: correct signature for krb_rd_req.

Tue Jun 27 23:53:22 1995  Mark Eichin  <eichin@cygnus.com>

	* krb.h (swap_u_long): use KRB4_32 in swap() macros.

Thu Jun 22 16:06:26 1995  Tom Yu  (tlyu@dragons-lair)

	* krb4-proto.h, krb.h: reverse sense of KRB5_PROVIDE_PROTOTYPES
		(-> KRB5_NO_PROTOTYPES)

Fri Jun  9 18:40:51 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Fri Jun  9 15:51:45 1995  Theodore Y. Ts'o  <tytso@lurch.mit.edu>

	* kdc.h: Don't define the macros for max and min; they're already
		defined in kdc_util.h.

Thu Jun  8 11:22:23 1995  Theodore Y. Ts'o  <tytso@lurch.mit.edu>

	* Makefile.in (install): Don't install the install/kerberosIV
		header files.

Tue Jun  6 21:16:39 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* krb4-proto.h: decomp_ticket change the time field to unsigned
		KRB4_32 to match the Cygnus krb4 library.

Tue Jun  6 12:30:41 1995  Theodore Y. Ts'o  (tytso@dcl)

	* krb4-proto.h: Rename save_credentials to krb_save_credentials,
		to match the Cygnus krb4 library.

Tue May 23 22:08:05 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* krb4-proto.h: klog prototype did not match source.

Sun May  7 08:26:21 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* kparse.h: Remove ErrorMsg definition. It is declared static in
		source file.

	* krb4-proto.h: krb_rd_priv prototype did not match source

Fri Apr 28 16:39:47 1995  Mark Eichin  <eichin@cygnus.com>

	* kparse.h (strutol, strsave): are only static in this module.

Fri Apr 28 15:05:23 1995  Mark Eichin  <eichin@cygnus.com>

	* krb4-proto.h: #if 0, not #ifdef 0.

Fri Apr 28 14:56:39 1995  Theodore Y. Ts'o  <tytso@dcl>

	* lsb_addr_cmp.h: Don't try to include osconf.h

Fri Apr 28 08:24:23 1995  Theodore Y. Ts'o  <tytso@lurch.mit.edu>

	* conf.h, conf-*.h: Removed.  We don't need them anymore,
		we're using autoconf!  (And things like MSBFIRST AND
		LSBFIRST aren't needed anyway, since the CNS V4
		library figures this all out dynamically anyway.)

	* krb4-proto.h: Don't define the functions found in getenv.o or
		setenv.o.  Declare krb_stime() instead of stime().

Thu Apr 27 17:12:30 1995  Mark Eichin  <eichin@cygnus.com>

	* krb.h: add _fmemcpy, _fstrncpy, and far_fputs from cc-unix.h also.

Thu Apr 27 14:22:10 1995  Mark Eichin  <eichin@cygnus.com>

	* krb.h (DECRYPT_TKT_TYPE_DEFINED, KEY_PROC_TYPE_DEFINED): needed
	to keep secondary (readability) defines in g_in_tkt.c out.

Thu Apr 27 13:32:22 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* conf-osf1alpha.h: New file

	* osconf.h: Add inclusion of conf-osf1alpha.h

	* krb.h: Add const to krb_err_txt to agree with library definition

Thu Apr 27 10:55:00 1995  Mark Eichin  <eichin@cygnus.com>

	* krb.h: make INTERFACE, FAR go away for now.
	Drag in the unix time conversion functions for unix only.
	Locally define PROTOTYPE().
	Drag in unix versions of SOCKET macros.
	Recognize DEFINE_SOCKADDR and NEED_TIME_H the way cc-unix.h does.
	Declare krb_ignore_ip_address.
	Define DEB() to support non-printf debugging.
	Declare errno.
	Define key_proc_type and decrypt_tkt_type.
	* prot.h: add KERB_ERR_PREAUTH_SHORT and _MISMATCH from Cygnus
	extensions.
	* krbports.h: new file, has default ports for V4 services for
	hard-coded fallback.
	* lsb_addr_cmp.h: from V4, handles the mutant comparison
	functions needed for the V4 "direction" comparison. (Rename
	of lsb_addr_comp.h due to filename length.)

Tue Mar 14 16:53:37 1995    <tytso@rsx-11.mit.edu>

	* Makefile.in: Delete definitions defined in pre/config.in.

Wed Mar  1 17:59:19 1995  Theodore Y. Ts'o  <tytso@dcl>

	* kadm.h: Remove declaration of malloc() and realloc().

Fri Feb  3 06:50:46 1995  Theodore Y. Ts'o  (tytso@dcl)

	* krb.h: Add changes to make this work on Alpha's.  (From Ezra).

Wed Jan 25 19:25:02 1995  Mark Eichin  (eichin@cygnus.com)

	* kadm.h: add DEL_ENT and DEL_ACL for CNS V4 delete support.

Fri Nov 18 01:24:58 1994  Mark Eichin  <eichin@cygnus.com>

	* Makefile.in (install): use $(INSTALL_DATA) instead of cp. Elide
	dependency in install rule so $(srcdir) works.
	* configure.in: use AC_PROG_INSTALL.

Fri Nov 18 00:17:03 1994  Mark Eichin  <eichin@cygnus.com>

	* configure.in: add WITH_CCOPTS.

Mon Oct  3 18:50:25 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: make install obey $(DESTDIR)

	* Makefile.in: Fix "make install" to use $(srcdir) when copying in
		header files.

